<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/nav-styles.css" />
    <script
      src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
      integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
      crossorigin="anonymous"
    ></script>
    <title>New Item</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light our-grey">
      <button type="button" class="btn">Music Directory</button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="./home.html">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./track-directory.html">All Tracks</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./new-track.html">Add a New Track</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./login.html">Log In</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="container">
      <h2>Add a New Track</h2>
      <main>
        <form id="new-track-form">
          <div>
            <label for="track-name" class="form-label">Track Name:</label>
            <input id="track-name" class="form-control" placeholder="name">
          </div>
          <div>
            <label for="track-artist" class="form-label">Track Artist:</label>
            <input id="track-artist" class="form-control" placeholder="artist">
          </div>
          <div>
            <label for="track-year" class="form-label">Release Year:</label>
            <input id="track-year" class="form-control" type="number" placeholder="year">
          </div>
          <br>
          <input type="submit" class="btn btn-success" value="Add track">
          <div id="create-msg" hidden></div>
        </form>
      </main>
    </div>

    <script src="server-requests.js"></script>
    <script src="new-track.js"></script>
  </body>
</html>
